import { z } from "zod";

//----------------------------------------------------------------------------

export const presenationSchema = z.object({
  presenation: z.string({ required_error: "La présentation est obligatoire" }),
});

export type PresenationSchema = z.infer<typeof presenationSchema>;

//----------------------------------------------------------------------------

export const termsOfServiceSchema = z.object({
  termsOfService: z.string({
    required_error: "Les conditions d'utilisation est obligatoire",
  }),
});

export type TermsOfServiceSchema = z.infer<typeof termsOfServiceSchema>;

//----------------------------------------------------------------------------

export const privacyPolicySchema = z.object({
  privacyPolicy: z.string({
    required_error: "La politique de confidentialité est obligatoire",
  }),
});

export type PrivacyPolicySchema = z.infer<typeof privacyPolicySchema>;

//----------------------------------------------------------------------------
